# ``twisted`.`protocols`.`amp`.`IBoxReceiver``

interface documentation

`class IBoxReceiver(Interface): (source)`

Known implementations: `twisted.protocols.amp.BoxDispatcher`

View In Hierarchy

An application object which can receive `AmpBox` objects and dispatch them appropriately.

Method | `ampBoxReceived` | A box was received from the transport; dispatch it appropriately.
Method | `startReceivingBoxes` | The `IBoxReceiver.ampBoxReceived` method will start being called; boxes may be responded to by responding to the given `IBoxSender`.
Method | `stopReceivingBoxes` | No further boxes will be received on this connection.

def ampBoxReceived(box): (source)
A box was received from the transport; dispatch it appropriately.
def startReceivingBoxes(boxSender): (source)
The `IBoxReceiver.ampBoxReceived` method will start being called; boxes may be responded to by responding to the given `IBoxSender`.

Parameters
boxSender | an `IBoxSender` provider.

def stopReceivingBoxes(reason): (source)
No further boxes will be received on this connection.

Parameters
reason:`Failure` | Undocumented